Bug 116376 - RFE: include mods for logging
RFE: include mods for logging
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
James Laska
: FutureFeature
Depends On: 116411
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-20 12:10 EST by Patrick C. F. Ernzer
Modified: 2013-09-02 01:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-03 15:16:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2004-02-20 12:10:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
section "2.12. Configuring syslogd Event Logging" of our cluster docs
do describe cluster logging.

we really should not tell users to modify existing files, but rather
have them use /etc/logrotate.d

Yes, it will happen that syslog is restarted twice in short succession
if both the cluster logs and what is defined in
/etc/logrotate.d/syslog need rotating in one logrotate run, but IMHO
that is acceptable.

filing this against the software and not the docs as I think we really
should just drop in the file when the rpm installs. Shame we have no
/etc/syslog.d to drop the "logging to /var/log/cluster"-lines into.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Actual Results:  telling the reader to modify a file from the
logrotate RPM

Expected Results:  telling the user to do it the clean way by dropping
a file in /etc/syslog.d

Additional info:

[root@dl380g2-bottom logrotate.d]# cat cluster
/var/log/cluster {
   sharedscripts
   postrotate
       /bin/kill -HUP `cat /var/run/syslogd.pid 2> /dev/null` 2>
       /dev/null || true
   endscript
}
Comment 1 Suzanne Hillman 2004-02-20 15:55:04 EST
Internal RFE bug #116411 entered; will be considered for future releases.
Comment 2 Lon Hohberger 2008-07-03 15:16:32 EDT
This is not getting fixed Red Hat Cluster Suite 3 at this point.

Note You need to log in before you can comment on or make changes to this bug.